View Issue Details

IDProjectCategoryView StatusLast Update
13793Bug reports[All Projects] RemoteControlpublic2019-05-29 16:12
Reporteraaskoura Assigned Toollehar  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.10.x 
Target VersionFixed in Version3.17.x 
Summary13793: Error on RPC: add_response method with "Anonymized responses" Survey
Description

add_response method to a given survey with "Anonymized responses" on will always yield
{"id":1,"result":null,"error":"Table \"lime_survey_666368\" does not have a column named \"token\"."}
While inserting a record in response table

Steps To Reproduce

Using Postman

{"method": "get_session_key", "params": [ "string_username","string_password" ], "id": 1}
returns
{"id":1,"result":"string_session_key","error":null}

{"method": "add_response", "params": [ "string_session_key",integer_sid,{"666368X1X1":"anything"}], "id": 1}
returns
{"id":1,"result":null,"error":"Table \"lime_survey_666368\" does not have a column named \"token\"."}
checking the survey responses, the record was actually inserted successfully

After setting "Anonymized responses" to No, response:
{"id":1,"result":"18","error":null}

Additional Information

attached survey .lss, and screenshot showing the inserted complete response

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.12.1+ 180616
I will donate to the project if issue is resolvedNo
BrowserPostman (REST client)
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 14 TLS
Webserver software & version (if known)Apache 2
PHP Version 7.0.30

Activities

aaskoura

aaskoura

2018-06-19 19:52

reporter  

limesurvey_survey_666368.lss (12,641 bytes)
Mazi

Mazi

2018-06-20 09:11

partner   ~48238

@olle This is the same function as affected at https://bugs.limesurvey.org/view.php?id=13794, maybe you can fix it in one go? Thanks a ton!

ollehar

ollehar

2019-04-26 11:43

administrator   ~51595

Test time tracking.

Mazi

Mazi

2019-04-26 13:01

partner   ~51598

@ollehar, so your assumption is that the time tracking feature is causing the problem?

ollehar

ollehar

2019-04-26 14:16

administrator   ~51602

Absolutely not.

ollehar

ollehar

2019-05-29 16:12

administrator   ~52201

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28964

Related Changesets

LimeSurvey: master 9c1dae19

2019-04-26 14:18:03

ollehar

Details Diff
Fixed issue 13793: Error on RPC: add_response method with "Anonymized responses" Survey Affected Issues
13793
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File

Issue History

Date Modified Username Field Change
2018-06-19 19:52 aaskoura New Issue
2018-06-19 19:52 aaskoura File Added: Screen Shot 2018-06-19 at 19.44.19.png
2018-06-19 19:52 aaskoura File Added: limesurvey_survey_666368.lss
2018-06-20 09:10 Mazi Assigned To => ollehar
2018-06-20 09:10 Mazi Status new => assigned
2018-06-20 09:11 Mazi Note Added: 48238
2019-04-26 11:43 ollehar Note Added: 51595
2019-04-26 12:25 ollehar Status assigned => confirmed
2019-04-26 13:01 Mazi Note Added: 51598
2019-04-26 14:16 ollehar Note Added: 51602
2019-04-26 15:36 ollehar Status confirmed => resolved
2019-04-26 15:36 ollehar Resolution open => fixed
2019-04-26 15:36 ollehar Fixed in Version => 3.17.x
2019-04-30 09:10 c_schmitz Status resolved => closed
2019-05-29 16:12 ollehar Changeset attached => LimeSurvey master 9c1dae19
2019-05-29 16:12 ollehar Note Added: 52201